AS 6.1.2730 - ANKH extension not listed ?

Go To Last Post
6 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I just installed the latest AS 6.1 into a brand new computer.
At the end I looked in the Atmel gallery for the ANKH extension (that used for managing SVN) but I wasn't able to locate it :shock:

After a moment of real panic (all my projects are on SVN), I typed ANKH in the search box, and magically the tool appeared - I was able to download and install it as always.

I don't know if the problem was in my installation, or if there is really something not working in the gallery.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Quote:
non ci arrenderemo mai!
Perche' le cose NON cambieranno MAI. :wink:

John Samperi

Ampertronics Pty. Ltd.

www.ampertronics.com.au

* Electronic Design * Custom Products * Contract Assembly

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Forse hai ragione... ma forse no, chissà?
E comunque, nella mia esperienza, anche all'estero le cose non sono sempre belle come sembra.

Ehhm.... back to English now! :wink:

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

This is a regular issue - when Atmel Studio is updated, all the extensions aren't also automatically upgraded. The submitter needs to create a new version and upload it to the gallery (since APIs may change, etc.).

This afternoon I created a simple Python script to force-update a given extension, or to mark a generic Visual Studio 2010 extension as being Atmel Studio compatible. It requires a base install of Python 2.7 only.

USE AT OWN RISK. Sometimes extensions do break between Atmel Studio versions due to SDK changes, and some generic Visual Studio extensions break due to the shell customizations.

https://github.com/abcminiuser/a...

- Dean :twisted:

Make Atmel Studio better with my free extensions. Open source and feedback welcome!

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Quite interesting, Dean...

I wonder if the script can work in the opposite direction, by marking an AS extension as being VS compatible :-)
This way I could use Ankh with the Express version of VS (something I can't do now without paying big bucks)

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Quote:

by marking an AS extension as being VS compatible

The problem isn't that the plugin isn't Visual Studio compatible.

Visual Studio Express does not allow plugins at all: http://ankhsvn.open.collab.net/w...

As of January 15, 2018, Site fix-up work has begun! Now do your part and report any bugs or deficiencies here

No guarantees, but if we don't report problems they won't get much of  a chance to be fixed! Details/discussions at link given just above.

 

"Some questions have no answers."[C Baird] "There comes a point where the spoon-feeding has to stop and the independent thinking has to start." [C Lawson] "There are always ways to disagree, without being disagreeable."[E Weddington] "Words represent concepts. Use the wrong words, communicate the wrong concept." [J Morin] "Persistence only goes so far if you set yourself up for failure." [Kartman]